/*
;Funktion:                      Process2B.cpp
;                               Prozess Demonstration

;getestet unter:                Konsole Windows NT/2000/XP/7/10
;funktioniert nicht unter:      -

;uebersetzen mit:               cl -MD Process2B.cpp        als 32bit-Programm

;Aufgabenstellung:              wird von Process2A gestartet

;Copyright:                     (C) 2004-2021  Werner Zimmermann
;############################################################################
*/
#ifdef  _WIN64	
    #define isVer "WIN64"	
#else
#ifdef  _WIN32
    #define isVer "WIN32"	
#endif
#endif

#include <windows.h>
#include <process.h>
#include <stdio.h>
#include <conio.h>

int k;                                                                  //Zhlervariable
HANDLE hEvent;                                                          //Handle fr das Event

void main(void)                                                         //Hauptprogramm
{   printf("(C) 2002-2021 -- Zimmermann, HS Esslingen -- %s --\n\n", isVer); 

    printf("----- Prozess B gestartet-----\n");
    hEvent=CreateEvent(NULL, FALSE, FALSE, "myEvent");                  //Event mit Namen "myEvent" erzeugen/ffnen

    while(1)                                                            //Endlosschleife (ohne Abbruchbedingung)
    {   WaitForSingleObject(hEvent, INFINITE);                          //Warten, bis Event "myEvent" durch Prozess A getriggert wird
        printf("*** Prozess B: k=%8Xh\n", k);                           //Zaehlerstand ausgeben
        k++;
    }
    printf("*** Prozess B beendet\n");                                  //Diese Zeile nie ausgefhrt!
}






