/*
;Funktion:                      Except2.cpp
;                               Demonstration eines Ausnahmefehlers mit einfacher
;                               Ausnahmefehler-Behandlung im Anwenderprogramm

;getestet unter:                Konsole Windows NT/2000/XP/7/10
;funktioniert nicht unter:      -

;uebersetzen mit:               cl Except2.cpp      als 32bit-Programm

;Aufgabenstellung:              siehe Vorlesung Rechnertechnik 2, Abschnitt E.4

;Copyright:                     (C) 2002-2021  Werner Zimmermann

;############################################################################
*/
#define _CRT_SECURE_NO_DEPRECATE	//Unterdrckt Sicherheitswarnung fr scanf() bei Visual Studio .NET 2005
#ifdef  _WIN64	
    #define isVer "WIN64"	
#else
#ifdef  _WIN32
    #define isVer "WIN32"	
#endif
#endif

#include <windows.h>
#include <stdio.h>
#include <conio.h>


void main(void)
{   int ergebnis, dividend=1, divisor;

    printf("(C) 2002-2021 -- Zimmermann, HS Esslingen -- %s --\n\n", isVer); 

    printf("Divisionsprogramm: Geben Sie einen Dividenden und einen Divisor ein!\n\n");
    printf("Wenn Sie Divisor=0 eingeben, wird ein Ausnahmefehler ausgeloest und\n");
    printf("die Ausnahmefehler-Behandlung des Anwenderprogramms aufgerufen. Diese\n");
    printf("gibt eine Fehlermeldung aus und fordert zu einer neuen Berechnung auf.\n\n");
    printf("Sie koennen das Programm 'normal' beenden, indem Sie Dividend=0 eingeben\n\n");
        
    while (1)
    {   printf("\nDividend =    ");
        scanf("%d", &dividend);
        if (dividend == 0)
            break;
        printf("Divisor  =    ");
        scanf("%d", &divisor);

        __try
        {   
            ergebnis = dividend / divisor;      //<-- Befehl loest bei Divisor=0 Ausnahmefehler aus
            printf("Quotient =    %d / %d = %d\n", dividend, divisor, ergebnis);
        
        } __except(EXCEPTION_EXECUTE_HANDLER) 
        {                                       //<-- Behandlung des Ausnahmefehlers ohne Programmabbruch
            printf("Divisionsfehler - weiter zur naechsten Berechnung\n");
        };
     }
}
