/*
;Funktion:                      Process1A.cpp
;                               Prozess Demonstration

;getestet unter:                Konsole Windows NT/2000/XP/7/10
;funktioniert nicht unter:      -

;uebersetzen mit:               cl -Zi -MD Process1A.cpp        als 32bit-Programm
;
;                       oder    vccit32 Process1A               als 32bit-Programm

;Aufgabenstellung:              siehe Vorlesung Rechnertechnik 2, Abschnitt E
;                               Beispiel fr das Starten eines zweiten Prozesses

;Copyright:                     (C) 2004-2021  Werner Zimmermann

;############################################################################
*/
#ifdef  _WIN64	
    #define isVer "WIN64"	
#else
#ifdef  _WIN32
    #define isVer "WIN32"	
#endif
#endif

#include <windows.h>
#include <process.h>
#include <stdio.h>
#include <conio.h>

int i;                                                                  //Zhlervariable
HANDLE hProcessB;                                                       //Handle fr den Prozess B

#define _spawnl(param1,param2,param3) {STARTUPINFO startupInfo; PROCESS_INFORMATION processInfo; GetStartupInfo(&startupInfo);CreateProcess(param2,"",NULL,NULL,NULL,NULL,NULL,NULL,&startupInfo,&processInfo);*param3=processInfo.hProcess;}

void main(void)                                                         //Hauptprogramm
{   printf("(C) 2002-2021 -- Zimmermann, HS Esslingen -- %s --\n\n", isVer); 

    printf("----- Prozess A gestartet -----\n");
    
    _spawnl(_P_NOWAIT,"process1B.exe", &hProcessB);       //Prozess B erzeugen und starten
   
    while(!_kbhit())                                                    //Endlosschleife, solange keine Taste gedrueckt wird
    {   printf("+++ Prozess A: i=%8Xh\n", i);                           //Zaehlerstand ausgeben
        i++;
    }

    TerminateProcess(hProcessB, NULL);                                  //Prozess B beenden
    printf("+++ Prozess A beendet\n");
}






