/*
;Funktion:                      Process3B.cpp
;                               Prozess Demonstration

;getestet unter:                Konsole Windows NT/2000/XP/7/10
;funktioniert nicht unter:      -

;uebersetzen mit:               cl -MD Process3B.cpp        als 32bit-Programm

;Aufgabenstellung:              wird von Process3A gestartet

;Copyright:                     (C) 2004-2021  Werner Zimmermann

;############################################################################
*/
#ifdef  _WIN64	
    #define isVer "WIN64"	
#else
#ifdef  _WIN32
    #define isVer "WIN32"	
#endif
#endif

#include <windows.h>
#include <process.h>
#include <stdio.h>
#include <conio.h>

int i;                                                                  //Zhlervariable
int k;
HANDLE hPipe;                                                           //Handle fr die Pipe

void main(void)
{   printf("(C) 2002-2021 -- Zimmermann, HS Esslingen -- %s --\n\n", isVer); 

    printf("B: *** Prozess B gestartet\n");
    
    if (!WaitNamedPipe("\\\\.\\pipe\\myPipe", INFINITE))                //Warten, bis die Pipe "myPipe" verfgbar ist
    {  printf("B: *** Pipe nicht verfgbar\n");
       return;
    }                                                                   //Pipe "myPipe" zum Lesen und Schreiben ffnen ("verbinden")
    hPipe = CreateFile("\\\\.\\pipe\\myPipe", GENERIC_READ | GENERIC_WRITE, 0, NULL, OPEN_EXISTING, 0, NULL);   
    if (hPipe==INVALID_HANDLE_VALUE)
    {   printf("B: --- Pipe kann nicht geffnet werden - Programmende\n");
        return;
    }

    while(1)                                                            //Endlosschleife
    {   if (!ReadFile(hPipe,  &i, sizeof(i), (DWORD*) &k, NULL))        //--- Wert aus der Pipe lesen
            break;                                                      //--- Abbruch, wenn die Pipe vom anderen Prozess geschlossen wurde
        i++;                                                            //--- Wert inkrementieren
        if (!WriteFile(hPipe, &i, sizeof(i), (DWORD*) &k, NULL))        //--- Wert an die Pipe zurcksenden
            break;
    }
    FlushFileBuffers(hPipe);                                            //Pipe-Puffer leeren
    CloseHandle(hPipe);                                                 //Pipe schliessen

    printf("B: *** Prozess B beendet\n");                               
}
